
<template>
    <div>
        <section class="hero is-medium is-primary is-bold">
            <div class="hero-body">
                <div class="container">
                    <h1 class="title is-2"> {{project.title }} </h1>
                    <h2 class="subtitle is-4"> {{project.snippet }} </h2>
                </div>
            </div>
        </section>

        <section class="section">
            <div class="container is-fluid">
                <div class="column">
                    <div class="column is-two-thirds">
                        <vue-simple-markdown :source="project.body"></vue-simple-markdown>
                    </div>

                    <div class="column is-one-third">
                        <div class="column is-multiline">
                            <div class="column is-full" v-for="image in project.images">
                                <img :src="image.url" />>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</template>

<script>
import ProjectService from '@services/ProjectService';
import Postcard from '@components/Postcard';
import { async } from 'q';

export default {
    name: 'project',
    components: { Postcard },
    data() {
        return { airtableResponse: [] }
    },
    mounted: function () {
        let self = this;
        console.log("Project.vue: here 1");
        async function getProject() {
            try {
                const response = await ProjectService.getProject(self/$route.params.slug);
                console.log("Project.vue: response===", response);
                self.airtableResponse = response.data.records;
            } catch (err) { console.error("Project.vue: ERROR===", err); }
        }
        getProject();
    },
    computed: {
        project () {
            let self = this;
            if(self.airtableResponse[0]) {
                let thisProject = {
                    title: self.airtableResponse[0].fields.title,
                    snippet: self.airtableResponse[0].fields.excerpt,
                    images: self.airtableResponse[0].fields.image,
                    body: self.airtableResponse[0].fields.body,
                }
                return thisProject;
            }
        }
    }
}
</script>